#include <bits/stdc++.h>

using namespace std;
typedef long long ll;
typedef string str;

const int MAX=100003;
vector <pair <double, double>> par(MAX);

int main(){
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    cout.tie(0);

    int n;
    double suma=0, rez, maksrez=0;
    cin >> n;
    for(int i=0;i<n;i++){
        cin >> par[i].second >> par[i].first;
        suma+=par[i].second;
    }

    sort(par.begin(),par.begin()+n);
//    for(int i=0;i<n;i++){
//        cout << par[i].first << " " << par[i].second << "\n";
//        //suma+=par[i].second;
//    }
    for(int i=0;i<n;i++){
        if(par[i+1].first==par[i].first) continue;
        rez=suma/100;
        rez*=par[i].first;
        if(maksrez<rez) maksrez=rez;
        suma-=par[i].second;
        //cout << rez << endl;
    }
    cout << fixed << showpoint << setprecision(4) << maksrez;

    return 0;
}